<template>
  <div class="rounded-l-full border-2 border-gray-600 shadow text-sm p-3 w-3/12 mx-0 my-4 lg:text-xl md:text-xl">
    <select
      class="bg-white rounded-l-full w-full outline-none px-3 text-gray-700 font-sans"
      placeholder="Curso"
      v-model="curso"
    >
      <option
        v-for="({ value, title }) in options"
        :key="value"
        class="text-gray-700"
        :value="value"
      >{{ title }}</option>
    </select>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Watch } from "vue-property-decorator";

@Component
export default class CourseSearchBar extends Vue {
  public curso = "";

  public options = [
    { value: "ciencia-da-computacao", title: "Ciência da Computação" }
  ];
  @Watch("curso")
  alteraState(c: string) {
    this.$store.dispatch("alteraCurso", c);
  }
}
</script>
<style lang="postcss">
#Placeholder {
  color: lightgrey;
}
</style>
